%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  moRphomenses
%global packver   1.0.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.2
Release:          1%{?dist}%{?buildtag}
Summary:          Geometric Morphometric Tools to Align, Scale, and Compare "Shape" of Menstrual Cycle Hormones

License:          GPL (>= 3.0)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-graphics 
BuildRequires:    R-grDevices 
BuildRequires:    R-utils 
Requires:         R-stats 
Requires:         R-graphics 
Requires:         R-grDevices 
Requires:         R-utils 

%description
Mitteroecker & Gunz (2009) <doi:10.1007/s11692-009-9055-x> describe how
geometric morphometric methods allow researchers to quantify the size and
shape of physical biological structures. We provide tools to extend
geometric morphometric principles to the study of non-physical structures,
hormone profiles, as outlined in Ehrlich et al (2021)
<doi:10.1002/ajpa.24514>. Easily transform daily measures into
multivariate landmark-based data. Includes custom functions to apply
multivariate methods for data exploration as well as hypothesis testing.
Also includes 'shiny' web app to streamline data exploration. Developed to
study menstrual cycle hormones but functions have been generalized and
should be applicable to any biomarker over any time period.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
